/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.dbc.condition.parser;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 */
public abstract class LoopExpression extends Expression
{
   String declaration;
   String collection;
   Expression body;

   public LoopExpression(String declaration, String collection, Expression body)
   {
      this.declaration = declaration;
      this.collection = collection;
      this.body = body;
      body.setParent(this);
   }

   public Expression getBody()
   {
      return body;
   }

   public String getCollection()
   {
      return collection;
   }

   public String getDeclaration()
   {
      return declaration;
   }

}
